<?php
function init_jfreu_admin_commands(&$aseco)
{
	addJfreuAdminChatCommand($aseco,"setrank", "set ranklimit value");
	addJfreuAdminChatCommand($aseco,"setlimit", "set ranklimit ON/OFF");
	addJfreuAdminChatCommand($aseco,"autorank", "set autorank ON/OFF");
	//addJfreuAdminChatCommand($aseco,"offset", "set autorank offset");
	//addJfreuAdminChatCommand($aseco,"message", "server's message");
	//addJfreuAdminChatCommand($aseco,"player login", "fake player's message");
	addJfreuAdminChatCommand($aseco,"autorankminplayer", "0 - 50");
	addJfreuAdminChatCommand($aseco,"addvip", "addvip {login}");
	addJfreuAdminChatCommand($aseco,"addteamvip", "addteamvip {team}");
	addJfreuAdminChatCommand($aseco,"addadmin", "addadmin {login}");
	addJfreuAdminChatCommand($aseco,"removevip", "removevip {login}");
	addJfreuAdminChatCommand($aseco,"removeteamvip", "removeteamvip {team}");
	addJfreuAdminChatCommand($aseco,"maxplayers", "sets maxplayers");
	addJfreuAdminChatCommand($aseco,"badwords", "set badwords bot ON/OFF");
	addJfreuAdminChatCommand($aseco,"badwordsban", "set badwords ban ON/OFF");
	//addJfreuAdminChatCommand($aseco,"autorankvip", "autorankvip ON/OFF");
	addJfreuAdminChatCommand($aseco,"kickhirank", "Kick HiRank when server full ON/OFF");
	addJfreuAdminChatCommand($aseco,"unspec", "unspec {login} : remove SpecOnly status to a player");
	addJfreuAdminChatCommand($aseco,"cancelvote", "cancel current vote (kick/ban/nextmap/restart)");
	addJfreuAdminChatCommand($aseco,"novote", "novote ON/OFF - auto-cancel votes");
}

function chat_jfreu(&$aseco, $command)
{
	$red=$aseco->server->jfreu->red;
	$yel=$aseco->server->jfreu->yellow;
	$whi=$aseco->server->jfreu->white;
	$blu=$aseco->server->jfreu->blue;
	$gre=$aseco->server->jfreu->green;
	$col=$aseco->server->jfreu->color;
	$admin = $command['author'];

	// split params into array
	$arglist = explode(" ", $command['params'], 2);
	$command['params'] = explode(" ", $command['params']);

	$cmdcount = count($arglist);
	if(!isset($command['params'][0]) || $command['params'][0]=="")
	{
		$login=$admin->login;
		$aseco->server->jfreu->playerlist[$login]->panel=1;
		jfreu_display($aseco,$login);
		return 0;
	}
	else
	{
		// check if chat command was used by an admin ...
		if (!$aseco->isAdmin($admin->login))
		{
			// writes warning in console ...
			$aseco->console($admin->login." tried to use admin chat command (no permission!)");

			// sends chat message ...
			$aseco->addCall("ChatSendToLogin",
			array($aseco->formatColors("{#error}You have to be in admin list to do that!"), $admin->login));
			return false;
		}
	}
	//Display jfreuAdmin help.
	if ($command['params'][0] == "help")
	{
		$help =$yel.">> ".$red."Currently supported jfreu's plugin's admin commands:\n";
		if (!empty($aseco->server->jfreu->jfreu_admin_commands))
		{
			foreach($aseco->server->jfreu->jfreu_admin_commands as $chat_command)
			{
				$help .=$col.$chat_command->name.$red.", ";
			}
		}
		$aseco->addCall("ChatSendServerMessageToLogin", array($help, $admin->login));
	}
	// Set ranklimit value.
	if($command['params'][0] == "setrank" && $command['params'][1] != "")
	{
		if($command['params'][1]>0 && $command['params'][1]<2000000)
		{
			if($aseco->server->jfreu->autorank==1)
			{
				set_ranklimit($aseco,$command['params'][1],2);
			}
			elseif($aseco->server->jfreu->autorank==0)
			{
				set_ranklimit($aseco,$command['params'][1],0);
			}
		}
	}
	// Set ranklimit ON/OFF.
	elseif($command['params'][0] == "setlimit")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON')
			{
				$aseco->server->jfreu->ranklimit=1;
				$message=$yel.'>> '.$blu.'Admin set Ranklimit : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				$servername=$aseco->server->jfreu->servername.'Top'.$aseco->server->jfreu->limit;
				$aseco->addCall("SetServerName", array($servername));
			}
			elseif($command['params'][1]=='OFF')
			{
				$aseco->server->jfreu->ranklimit=0;
				$message=$yel.'>> '.$blu.'Admin set Ranklimit : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				if($aseco->server->jfreu->autochangename==1)
				{
					$servername=$aseco->server->jfreu->servername.'NoLimit';
					$aseco->addCall("SetServerName", array($servername));
				}
			}
		}
		else
		{
			if($aseco->server->jfreu->ranklimit==1)
			{
				$message=$yel.'>> '.$blu.'Ranklimit is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->ranklimit==0)
			{
				$message=$yel.'>> '.$blu.'Ranklimit is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set autorank ON/OFF.
	elseif($command['params'][0] == "autorank")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->autorank=1;
				$message=$yel.'>> '.$blu.'Admin set autoRank : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				autorank($aseco,$command);
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->autorank=0;
				$message=$yel.'>> '.$blu.'Admin set autoRank : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				set_ranklimit($aseco,$aseco->server->jfreu->limit,0);
			}
		}
		else
		{
			if($aseco->server->jfreu->autorank==1)
			{
				$message='$z$s>> $39fAutorank is : $FFFON$39F.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->autorank==0)
			{
				$message='$z$s>> $39fAutorank is : $FFFOFF$39F.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set offset value.
	elseif($command['params'][0] == "offset")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]>-1000 && $command['params'][1]<1000)
			{
				$aseco->server->jfreu->offset=$command['params'][1];
				$message=$yel.'>> '.$blu.'Admin set autoRank offset to : '.$whi.$aseco->server->jfreu->offset.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				autorank($aseco,$command);
			}
		}
		else
		{
			$message=$yel.'>> '.$blu.'Autorank offset is : '.$whi.$aseco->server->jfreu->offset.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Set autorankminplayer value.
	elseif($command['params'][0] == "autorankminplayer")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]>=0 && $command['params'][1]<50)
			{
				$aseco->server->jfreu->autorankminplayer=$command['params'][1];
				$message=$yel.'>> '.$blu.'Admin set autoRankMinPlayer to : '.$whi.$aseco->server->jfreu->autorankminplayer.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
				autorank($aseco,$command);
			}
		}
		else
		{
			$message=$yel.'>> '.$blu.'AutoRankMinPlayer value is : '.$whi.$aseco->server->jfreu->autorankminplayer.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Message Server
	elseif($command['params'][0] == "message" && $command['params'][1] != "")
	{
		$message=$red.'$w['.$aseco->server->jfreu->servername.$red.'$w] $z$s';
		$i=1;
		while(isset($command['params'][$i]))
		{
			$message.=$command['params'][$i].' ';
			$i++;
		}
		$aseco->addCall("ChatSendServerMessage", array($message));
	}
	// Message Player  (/admin player message)
	elseif($command['params'][0] == "player" && $command['params'][1] != "")
	{
	    //$commande2 = explode(" ", $command['params'][1], 2); // dcoupage "login" "message"
		$login=$commande[1];
		$i=2;
		$texte="";
		while(isset($command['params'][$i]))
		{
			$texte.=$command['params'][$i].' ';
			$i++;
		}
		$player = $aseco->server->players->getPlayer($login);
		$nick=$player->nickname;
		if($nick!="")
		{
			$message='$z$s['.$player->nickname.'$z$s] '.$texte;
			$aseco->addCall("ChatSendServerMessage", array($message));
		}
		else
		{
			$message=$blu.'>> '.$blu.'Login : '.$whi.$login.' '.$blu.'doesn\'t exist.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Add VIP (permanent !!)
	elseif($command['params'][0] == "addvip" && $command['params'][1] != "")
	{
		$login=$command['params'][1];
		if(in_array($login, $aseco->server->jfreu->vip_list))
		{
			$message=$blu.'>> '.$blu.'Login : '.$whi.$login.' '.$blu.'is already in VIP list.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			return -1;
		}
		$i=count($aseco->server->jfreu->vip_list);
		$aseco->server->jfreu->vip_list[$i]=$login;
		write_lists_xml($aseco);
		$message=$yel.'>> '.$blu.'New VIP : '.$whi.$aseco->server->jfreu->vip_list[$i].$blu.'.';
		$aseco->addCall("ChatSendServerMessage", array($message));
	}
	// remove VIP (permanent !!)
	elseif($command['params'][0] == "removevip" && $command['params'][1] != "")
	{
		$login=$command['params'][1];
		if(!in_array($login, $aseco->server->jfreu->vip_list))
		{
			$message=$blu.'>> '.$blu.'Login : '.$whi.$login.' '.$blu.'is not in VIP list.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			return -1;
		}
		$nb=count($aseco->server->jfreu->vip_list);
		$i=0;
		while($aseco->server->jfreu->vip_list[$i]!=$login && $i<$nb)
		{
			$i++;
		}
		$aseco->server->jfreu->vip_list[$i]='';
		write_lists_xml($aseco);
		$message=$yel.'>> '.$blu.'Login : '.$whi.$login.$blu.' removed from VIP list.';
		$aseco->addCall("ChatSendServerMessage", array($message));
	}
	// Add TEAM_VIP (permanent !!)
	elseif($command['params'][0] == "addteamvip" && $command['params'][1] != "")
	{
		$login=$command['params'][1];
		if(in_array($login, $aseco->server->jfreu->team_vip_list))
		{
			$message=$blu.'>> '.$blu.'Team : '.$whi.$login.' '.$blu.'is already in Team_VIP list.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			return -1;
		}
		$i=count($aseco->server->jfreu->team_vip_list);
		$aseco->server->jfreu->team_vip_list[$i]=$login;
		write_lists_xml($aseco);
		$message=$yel.'>> '.$blu.'New Team_VIP : '.$whi.$login.$blu.'.';
		$aseco->addCall("ChatSendServerMessage", array($message));
	}
	// remove TEAM_VIP (permanent !!)
	elseif($command['params'][0] == "removeteamvip" && $command['params'][1] != "")
	{
		$login=$command['params'][1];
		if(!in_array($login, $aseco->server->jfreu->team_vip_list))
		{
			$message=$blu.'>> '.$blu.'Team : '.$whi.$login.' '.$blu.'is not in TEAM_VIP list.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			return -1;
		}
		$nb=count($aseco->server->jfreu->team_vip_list);
		$i=0;
		while($aseco->server->jfreu->team_vip_list[$i]!=$login && $i<$nb)
		{
			$i++;
		}
		$aseco->server->jfreu->team_vip_list[$i]='';
		write_lists_xml($aseco);
		$message=$yel.'>> '.$blu.'TEAM : '.$whi.$aseco->server->jfreu->vip_list[$i].$blu.' removed from TEAM_VIP list.';
		$aseco->addCall("ChatSendServerMessage", array($message));
	}
	// Set kickhirank ON/OFF.
	elseif($command['params'][0] == "kickhirank")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->kickhirank=1;
				$message=$yel.'>> '.$blu.'Admin set KickHiRank : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->kickhirank=0;
				$message=$yel.'>> '.$blu.'Admin set KickHiRank : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			if($aseco->server->jfreu->kickhirank==1)
			{
				$message=$yel.'>> '.$blu.'KickHiRank is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->kickhirank==0)
			{
				$message=$yel.'>> '.$blu.'KickHiRank is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set autorankvip ON/OFF.
	elseif($command['params'][0] == "autorankvip")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->autorankvip=1;
				$message=$yel.'>> '.$blu.'Admin set AutoRankVIP : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->autorankvip=0;
				$message=$yel.'>> '.$blu.'Admin set AutoRankVIP : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			if($aseco->server->jfreu->autorankvip==1)
			{
				$message=$yel.'>> '.$blu.'AutorankVIP is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->autorankvip==0)
			{
				$message=$yel.'>> '.$blu.'AutorankVIP is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set badwords ON/OFF.
	elseif($command['params'][0] == "badwords")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->badwords=1;
				$message=$yel.'>> '.$blu.'Admin set Badwords bot : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->badwords=0;
				$message=$yel.'>> '.$blu.'Admin set Badwords bot : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			if($aseco->server->jfreu->badwords==1)
			{
				$message=$yel.'>> '.$blu.'BadWords is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->badwords==0)
			{
				$message=$yel.'>> '.$blu.'BadWords is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set badwordsban ON/OFF.
	elseif($command['params'][0] == "badwordsban")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->badwordsban=1;
				$message=$yel.'>> '.$blu.'Admin set BadwordsBan : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->badwordsban=0;
				$message=$yel.'>> '.$blu.'Admin set BadwordsBan : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			if($aseco->server->jfreu->badwordsban==1)
			{
				$message=$yel.'>> '.$blu.'BadWordsBan is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->badwordsban==0)
			{
				$message=$yel.'>> '.$blu.'BadWordsBan is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set maxplayers value.
	elseif($command['params'][0] == "maxplayers")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]>=0 && $command['params'][1]<50)
			{
				$aseco->server->jfreu->maxplayers=$command['params'][1];
				$message=$yel.'>> '.$blu.'Admin set MaxPlayers to : '.$whi.$aseco->server->jfreu->maxplayers.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			$message=$yel.'>> '.$blu.'MaxPlayers value is : '.$whi.$aseco->server->jfreu->maxplayers.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// KickWorst (kick X worst players)
	elseif($command['params'][0] == "kickworst" && $command['params'][1] != "")
	{
		if($command['params'][1]>0 && $command['params'][1]<50)
		{
			$message=$yel.'>> '.$blu.'Admin kicks the '.$whi.$command['params'][1].' '.$blu.'worst ranked players.';
			$aseco->addCall("ChatSendServerMessage", array($message));
			kickworst($aseco,$command['params'][1]);
		}
	}
	// Unspec (unspec )
	elseif($command['params'][0] == "unspec" && $command['params'][1] != "")
	{
		$player = $aseco->server->players->getPlayer($command['params'][1]);
		$nick=$player->nickname;
		if($nick!="")
		{
			$aseco->server->jfreu->playerlist[$command['params'][1]]->speconly=0;
			$aseco->server->jfreu->playerlist[$command['params'][1]]->unspec=1;
			cancel_vote($aseco,$player->login);
			$message=$yel.'>> '.$blu.'Admin unSpecs '.$whi.clean_nick($nick).$blu.'.';
			$aseco->addCall("ChatSendServerMessage", array($message));
			if($aseco->server->jfreu->autorank==1)
			{
				autorank($aseco,$command);
			}
		}
		else
		{
			$message=$yel.'>> '.$blu.'Login : '.$whi.$command['params'][1].$blu.' doesn\'t exist.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// cancelvote
	elseif($command['params'][0] == "cancelvote")
	{
		cancelvote($aseco);
	}
	// Set novote ON/OFF.
	elseif($command['params'][0] == "novote")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='ON' || $command['params'][1]=='on')
			{
				$aseco->server->jfreu->novote=1;
				$message=$yel.'>> '.$blu.'Admin set NoVote : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->novote=0;
				$message=$yel.'>> '.$blu.'Admin set NoVote : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		else
		{
			if($aseco->server->jfreu->novote==1)
			{
				$message=$yel.'>> '.$blu.'NoVote is : '.$whi.'ON'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
			elseif($aseco->server->jfreu->novote==0)
			{
				$message=$yel.'>> '.$blu.'NoVote is : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
	}
	// Set PF (BAD BAD BAD) {map} or {time}/OFF.
	elseif($command['params'][0] == "nopfkick")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]=='OFF' || $command['params'][1]=='off')
			{
				$aseco->server->jfreu->pf=0;
				$message=$yel.'>> '.$blu.'Admin set NoPfKick : '.$whi.'OFF'.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif(isset($aseco->server->jfreu->pf_list[$command['params'][1]]))
			{
				$aseco->server->jfreu->pf=$aseco->server->jfreu->pf_list[$command['params'][1]];
				$message=$yel.'>> '.$blu.'Admin set NoPfKick on '.$whi.$command['params'][1].$blu.' map.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			elseif($command['params'][1]>0 && $command['params'][1]<600000)
			{
				$aseco->server->jfreu->pf=$command['params'][1];
				$message=$yel.'>> '.$blu.'Admin set NoPfKick time :'.$whi.$command['params'][1].$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
			else
			{
				$message=$yel.'>> '.$blu.'Map '.$whi.$command['params'][1].$blu.' is not in database.';
				$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
			}
		}
		else
		{
			if($aseco->server->jfreu->pf==0)
			{
				$message=$yel.'>> '.$blu.'Admin  NoPfKick : '.$whi.'OFF'.$blu.'.';
			}
			else
			{
				$message=$yel.'>> '.$blu.'Admin  NoPfKick : '.$whi.'ON'.$blu.'.';
			}
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Message to login  (/admin messagetologin login message)
	elseif($command['params'][0] == "messagetologin" && $command['params'][1] != "")
	{
	    //$commande2 = explode(" ", $command['params'][1], 2); // dcoupage "login" "message"
		$login=$commande[1];		
		$i=2;
		$texte="";
		while(isset($command['params'][$i]))
		{
			$texte.=$command['params'][$i].' ';
			$i++;
		}
		
		$player = $aseco->server->players->getPlayer($login);
		$nick=$player->nickname;
		if($nick!="")
		{
			$message=$yel.'['.$red.'PM-from-ADMIN'.$yel.'] '.$texte;
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $login));
			$message2=$yel.'>> '.$blu.'Message sent to : '.$whi.$login.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message2, $command['author']->login));
		}
		else
		{
			$message=$yel.'>> '.$blu.'Login : '.$whi.$login.$blu.' doesn\'t exist.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Add admin (jusqu'au prochain restart aseco)
	elseif($command['params'][0] == "addadmin" && $command['params'][1] != "")
	{
		$login=$command['params'][1];
		$i=count($aseco->admin_list['TMLOGIN']);
		$j=0;
		if(!in_array($login,$aseco->admin_list['TMLOGIN']))
		{
			$aseco->admin_list['TMLOGIN'][$i]=$login;
			write_lists_xml($aseco);
			$message=$yel.'>> '.$blu.'New Admin : '.$whi.$aseco->admin_list['TMLOGIN'][$i].$blu.'.';
			$aseco->addCall("ChatSendServerMessage", array($message));
		}
		else
		{
			$message=$yle.'>> '.$blu.'Login : '.$whi.$login.$blu.' is already in adminList.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// Set hardlimit value.
	elseif($command['params'][0] == "hardlimit")
	{
		if($command['params'][1] != "")
		{
			if($command['params'][1]>=0 && $command['params'][1]<2000000)
			{
				$aseco->server->jfreu->hardlimit=$command['params'][1];
				$message=$yel.'>> '.$blu.'Admin set hardLimit to : '.$whi.$aseco->server->jfreu->hardlimit.$blu.'.';
				$aseco->addCall("ChatSendServerMessage", array($message));
			}
		}
		elseif($aseco->server->jfreu->hardlimit>0)
		{
			$message=$yel.'>> '.$blu.'HardLimit is : '.$whi.$aseco->server->jfreu->hardlimit.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
		else
		{
			$message=$yel.'>> '.$blu.'HardLimit is : '.$whi.'OFF'.$blu.'.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}
	// BanFor time login
	elseif($command['params'][0] == "banfor" && $command['params'][1]>0 && isset($command['params'][2]))
	{
		$login=$command['params'][2];
		$time=$command['params'][1];
		$player = $aseco->server->players->getPlayer($login);
		$nick=$player->nickname;
		if($nick!="")
		{
			$message=$yel.'>> '.$blu.'Admin banned '.$whi.clean_nick($nick).$blu.' for '.$whi.$time.$blu.' min.';
			$aseco->addCall("ChatSendServerMessage", array($message));
			banfor($aseco,$login,$time);
		}
		else
		{
			$message=$yel.'>> '.$blu.'Login : '.$whi.$login.$blu.' doesn\'t exist.';
			$aseco->addCall("ChatSendServerMessageToLogin", array($message, $command['author']->login));
		}
	}

}